Skip to main content
`Ctrl`+`K`

# PetscViewerDrawSetHold

Holds previous image when drawing new image in a `PETSCVIEWERDRAW`

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscViewerDrawSetHold(PetscViewer viewer, PetscBool hold)

Not Collective

## Input Parameters

- viewer - the `PetscViewer`

- hold - `PETSC_TRUE` indicates to hold the previous image

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERDRAW`, `PetscViewerDrawOpen()`, `PetscViewerDrawGetDraw()`,

## Level

intermediate

## Location

src/sys/classes/viewer/impls/draw/drawv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages